View Issue Details

IDProjectCategoryView StatusLast Update
0000497bareos-core[All Projects] directorpublic2016-01-06 10:26
ReportermvwieringenAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformSolaris11OSSolarisOS Version11
Product Version14.2.5 
Target Version14.2.6Fixed in Version 
Summary0000497: AllowCompression setting doesn't work with LZ4/LZFast
DescriptionThe strip functionality to strip compression from the option string when the
AllowCompression is set to false in the storage used for a backup does not
work for LZ4 and LZFast compression as that uses 3 chars to encode the option
in the option string and the stripping only handles 2 chars (e.g. GZIP and LZO)
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionwill care
bareos-13.2: impactyes
bareos-13.2: actionwill care
bareos-12.4: impactno
bareos-12.4: action

Relationships

child of 0000416 closed Release bareos-13.2.5 
child of 0000474 closed Release bareos-14.2.6 

Activities

mvwieringen

mvwieringen

2015-07-27 16:20

developer   ~0001789

Fix committed to bareos master branch with changesetid 5438.
mvwieringen

mvwieringen

2015-08-14 22:21

developer   ~0001802

Fix committed to bareos bareos-14.2 branch with changesetid 5497.
mvwieringen

mvwieringen

2015-11-18 11:07

developer   ~0001987

Fix committed to bareos bareos-13.2 branch with changesetid 5837.

Related Changesets

bareos: master 39de4603

2015-07-15 16:30:19

mvwieringen

Ported: N/A

Details Diff
AllowCompression setting doesn't work with LZ4/LZFast

Fixes 0000497: AllowCompression setting doesn't work with LZ4/LZFast
Affected Issues
0000497
mod - src/dird/fd_cmds.c Diff File

bareos: bareos-14.2 0d84ff4d

2015-07-15 16:30:19

mvwieringen

Ported: N/A

Details Diff
AllowCompression setting doesn't work with LZ4/LZFast

Fixes 0000497: AllowCompression setting doesn't work with LZ4/LZFast
Affected Issues
0000497
mod - src/dird/fd_cmds.c Diff File

bareos: bareos-13.2 2bebc0da

2015-07-15 16:30:19

mvwieringen

Ported: N/A

Details Diff
AllowCompression setting doesn't work with LZ4/LZFast

Fixes 0000497: AllowCompression setting doesn't work with LZ4/LZFast
Affected Issues
0000497
mod - src/dird/fd_cmds.c Diff File

Issue History

Date Modified Username Field Change
2015-07-15 16:28 mvwieringen New Issue
2015-07-15 16:28 mvwieringen Status new => assigned
2015-07-15 16:28 mvwieringen Assigned To => mvwieringen
2015-07-15 16:29 mvwieringen bareos-master: impact => yes
2015-07-15 16:29 mvwieringen bareos-master: action => will care
2015-07-15 16:29 mvwieringen bareos-14.2: impact => yes
2015-07-15 16:29 mvwieringen bareos-14.2: action => will care
2015-07-15 16:29 mvwieringen bareos-13.2: impact => yes
2015-07-15 16:29 mvwieringen bareos-13.2: action => will care
2015-07-15 16:29 mvwieringen bareos-12.4: impact => no
2015-07-27 16:20 mvwieringen Changeset attached => bareos master 39de4603
2015-07-27 16:20 mvwieringen Note Added: 0001789
2015-07-27 16:20 mvwieringen Status assigned => resolved
2015-07-27 16:20 mvwieringen Resolution open => fixed
2015-08-14 22:21 mvwieringen Changeset attached => bareos bareos-14.2 0d84ff4d
2015-08-14 22:21 mvwieringen Note Added: 0001802
2015-10-02 20:02 mvwieringen adm Assigned To mvwieringen =>
2015-10-02 20:02 mvwieringen adm Status resolved => closed
2015-11-18 11:07 mvwieringen Changeset attached => bareos bareos-13.2 2bebc0da
2015-11-18 11:07 mvwieringen Note Added: 0001987
2015-11-18 11:07 mvwieringen Status closed => resolved
2015-11-30 18:43 joergs Relationship added child of 0000416
2015-11-30 18:47 joergs Relationship added child of 0000474
2016-01-06 10:26 mvwieringen Status resolved => closed